import java.awt.Color;
import java.awt.Graphics;

import net.mw3.etewt3.handlers.MWPlayer;
import net.mw3.etewt3.handlers.MemoryHack;
import net.mw3.etewt3.handlers.PaintListener;
import net.mw3.etewt3.script.ScriptEngine;
import net.mw3.etewt3.utils.Constants;
import net.mw3.etewt3.utils.Filter;
import net.mw3.etewt3.utils.Vector;

import com.sun.jna.Memory;

/**
 * @author Mark
 * 
 */
public class ZeroRecoil extends ScriptEngine implements PaintListener {
	@Override
	public int loop() {
		MemoryHack.writeMemory(0x01063BBC + 0x0044, new int[] { 0, 0, 0 }, 12);
		return 5;
	}

	@Override
	public boolean onStart() {
		return true;
	}

	int counter = 0;

	@Override
	public void onRepaint(Graphics g) {
		
	}

}
